> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Risks

> List Risks matching one or more filter parameters.



## OpenAPI

````yaml get /risks
openapi: 3.0.1
info:
  contact:
    name: Chkk
    url: https://www.chkk.io
  description: A REST API that exposes the Chkk data model.
  title: Chkk API
  version: v1.0
servers:
  - url: https://api.us.chkk.io/v1
security: []
tags:
  - description: Operations that authenticate users and return scoped access tokens.
    name: Login
  - description: >-
      Operations for retrieving Guardrails, Misconfigurations, and
      API-Deprecation Risks detected in your clusters.
    name: Risk
externalDocs:
  description: Detailed documentation of the Chkk data model and product features
  url: https://docs.chkk.io
paths:
  /risks:
    get:
      tags:
        - Risk
      summary: List Risks
      description: List Risks matching one or more filter parameters.
      operationId: risk-list
      parameters:
        - description: |-
            List Risks matching one or more filter parameters.
            1. cluster_id:k8scl_<uuid> (required) 
            2. tag:category:guardrail 
            3. show_ignored:true
          explode: true
          in: query
          name: filter
          required: false
          schema:
            items:
              type: string
            type: array
          style: form
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/Continuation'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRisksResponse'
          description: Returns an array of `RiskSummary` objects.
      security:
        - bearer_token: []
components:
  parameters:
    PageSize:
      explode: true
      in: query
      name: page_size
      required: false
      schema:
        default: 100
        description: Number of resources to return per page
        maximum: 1000
        minimum: 1
        type: integer
      style: form
    Continuation:
      explode: true
      in: query
      name: continuation_token
      required: false
      schema:
        description: Opaque token for pagination
        type: string
      style: form
  schemas:
    ListRisksResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RiskSummary'
          type: array
        continuation_token:
          description: Opaque token for pagination
          type: string
      required:
        - data
      type: object
    RiskSummary:
      description: A condensed version of a Risk.
      properties:
        id:
          description: Stable identifier for this Risk within Chkk.
          type: string
        signature:
          $ref: '#/components/schemas/RiskSignatureSummary'
        severity:
          $ref: '#/components/schemas/RiskSeverity'
        location:
          $ref: '#/components/schemas/RiskLocation'
        last_detected:
          description: Unix epoch timestamp of when the Risk was most recently identified.
          format: date-time
          type: string
      required:
        - id
        - last_detected
        - location
        - signature
      type: object
    RiskSignatureSummary:
      properties:
        id:
          description: Unique identifier of the Risk signature
          type: string
        title:
          description: Title of the Risk signature
          type: string
        description:
          description: Description of what happens when the Risk signature materializes.
          type: string
        tags:
          description: The tags associated with the Risk signature
          items:
            $ref: '#/components/schemas/RiskTag'
          type: array
      required:
        - description
        - id
        - title
      title: RiskSignatureSummary
      type: object
    RiskSeverity:
      description: >-
        The severity of a Risk. It is a measure of the combination of
        probability and impact of a Risk materializing
      enum:
        - low
        - medium
        - high
        - critical
      type: string
    RiskLocation:
      properties:
        cluster:
          $ref: '#/components/schemas/RiskLocationCluster'
          description: ID of the cluster where the Risk was detected.
      type: object
    RiskTag:
      description: A tag that can be applied to a Risk or Risk Signature.
      enum:
        - category:guardrail
        - category:api-deprecation
        - category:misconfiguration
      type: string
    RiskLocationCluster:
      type: object
      description: The Cluster where the Risk was detected
      properties:
        id:
          type: string
          description: The ID of the Cluster
        name:
          type: string
          description: The name of the Cluster
        namespace:
          type: string
          description: Namespace in the cluster if relevant
      required:
        - id
  securitySchemes:
    bearer_token:
      in: header
      name: Authorization
      type: apiKey
      description: Authorization credentials supplied in the Authorization header.

````